Bug 844033 - Review Request: jdbm - A transactional persistence engine for Java
Review Request: jdbm - A transactional persistence engine for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Grimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 844827
  Show dependency treegraph
 
Reported: 2012-07-27 23:44 EDT by Matt Spaulding
Modified: 2016-11-07 22:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
agrimm: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Spaulding 2012-07-27 23:44:17 EDT
Spec URL: http://madsa.fedorapeople.org/jdbm.spec
SRPM URL: http://madsa.fedorapeople.org/jdbm-1.0-1.fc17.src.rpm

Description:
A transactional persistence engine for Java.
It aims to be for Java what GDBM is for Perl, Python, C,
etcetera: a simple persistence engine that is lightweight
and fast.

Fedora Account System Username: madsa

RPMLint Output:
jdbm.src: W: spelling-error Summary(en_US) transactional -> transaction, transnational, transitional
jdbm.src: W: spelling-error %description -l en_US transactional -> transaction, transnational, transitional
jdbm.src: W: spelling-error %description -l en_US etcetera -> tetrameter, racketeer, terrace
jdbm.noarch: W: spelling-error Summary(en_US) transactional -> transaction, transnational, transitional
jdbm.noarch: W: spelling-error %description -l en_US transactional -> transaction, transnational, transitional
jdbm.noarch: W: spelling-error %description -l en_US etcetera -> tetrameter, racketeer, terrace
3 packages and 1 specfiles checked; 0 errors, 6 warnings.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4338001
Comment 1 Andy Grimm 2012-08-02 11:50:51 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc. [1]
[!]: MUST License field in the package spec file matches the actual license. [2]
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL. [1]
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL. [1]
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass. [3]
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[!]: MUST Packages have proper BuildRequires/Requires on jpackage-utils [4]
[-]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


Notes / Issues:
[1] It would really be better to get the source from SCM:
http://jdbm.cvs.sourceforge.net/viewvc/jdbm/jdbm/?pathrev=V1_0
While the standard packaging guidelines prefer a release tarball over SCM, the src zip provided is not a full source tree, and is intended mostly for use in debugging.  For example, LICENSE.txt and README.txt are present in SCM, but not in the src zip.

[2] The License field is incorrect.  The JDBM License is actually an ASL 1.1-style license, which is often mistaken for a BSD license.  I'm checking to see whether legal needs to okay this.

[3] The "ant -f src/build.xml tests.run" line should be in a %check section, according to http://fedoraproject.org/wiki/Packaging:Guidelines#Test_Suites

[4] The main package should require jpackage-utils.

Please correct these.  I will investigate the license.
Comment 2 Andy Grimm 2012-08-02 14:08:04 EDT
Regarding the license, Tom Callaway noted that this license is the same as the jCharts license, which Fedora does regard as a BSD variant:

https://fedoraproject.org/wiki/Licensing/BSD#jCharts_Variant

So, I retract my note about the license change.  :)
Comment 3 Matt Spaulding 2012-08-02 15:33:12 EDT
No problem, I was a little unsure about the license myself :)

Will get you an updated srpm soon.
Comment 4 Matt Spaulding 2012-08-03 14:09:08 EDT
Here's the new srpm with fixes included.

Spec URL: http://madsa.fedorapeople.org/jdbm.spec
SRPM URL: http://madsa.fedorapeople.org/jdbm-1.0-2.fc17.src.rpm
Comment 5 Andy Grimm 2012-08-05 21:50:13 EDT
I'm going to approve this, but your changelog entry produced an rpmlint warning:

jdbm.src:87: W: macro-in-%changelog %check

You should either use "%%" for a literal %, or just remove that character entirely from that line.  Please fix that before you commit.
Comment 6 Matt Spaulding 2012-08-05 22:50:20 EDT
Thanks for the review, Andy.

New Package SCM Request
=======================
Package Name: jdbm
Short Description:  A transactional persistence engine for Java
Owners: madsa
Branches: f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-08-06 00:38:06 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-06 15:34:55 EDT
jdbm-1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jdbm-1.0-2.fc17
Comment 9 Fedora Update System 2012-08-09 19:00:55 EDT
jdbm-1.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-08-17 21:28:58 EDT
jdbm-1.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.